spring:
  redis:
    host: wfc-redis
    port: 6379
    password:
  cloud:
    gateway:
      discovery:
        locator:
          lowerCaseServiceId: true
          enabled: true
      routes:
        # 认证中心
        - id: wfc-auth
          uri: lb://wfc-auth
          predicates:
            - Path=/auth/**
          filters:
            # 验证码处理
            - CacheRequestFilter
            - ValidateCodeFilter
            - StripPrefix=1
        # 代码生成
        - id: wfc-gen
          uri: lb://wfc-gen
          predicates:
            - Path=/code/**
          filters:
            - StripPrefix=1
        # 定时任务
        - id: wfc-job
          uri: lb://wfc-job
          predicates:
            - Path=/schedule/**
          filters:
            - StripPrefix=1
        # 系统模块
        - id: wfc-system
          uri: lb://wfc-system
          predicates:
            - Path=/system/**
          filters:
            - StripPrefix=1
        # 用户模块
        - id: wfc-user
          uri: lb://wfc-user
          predicates:
            - Path=/u/**
          filters:
            - StripPrefix=1            
        # 文件服务
        - id: wfc-file
          uri: lb://wfc-file
          predicates:
            - Path=/file/**
          filters:
            - StripPrefix=1
        # payment
        - id: wfc-payment
          uri: lb://wfc-payment
          predicates:
            - Path=/payment/**
          filters:
            - StripPrefix=1                
  config:
    import: optional:file:/opt/wfc/conf/application-common.yml
    
# 安全配置
security:
  # 验证码
  captcha:
    enabled: true
    type: math
  # 防止XSS攻击
  xss:
    enabled: true
    excludeUrls:
      - /system/notice
  # 不校验白名单
  ignore:
    whites:
      - /auth/logout
      - /auth/login
      - /auth/register
      - /auth/checkRepeat
      - /*/v2/api-docs
      - /csrf
